Summary:	MIDI to WAVE converted library
Summary(pl.UTF-8):	Biblioteka konwertująca MIDI do WAVE
Name:		libtimidity
Version:	0.2.7
Release:	1
License:	LGPL v2.1+ or GPL v2+ or Artistic
Group:		Libraries
Source0:	https://downloads.sourceforge.net/libtimidity/%{name}-%{version}.tar.gz
# Source0-md5:	dec3ce8839c73e251f8bfbf36fa878fd
URL:		https://libtimidity.sourceforge.net/
# for noinst program
#BuildRequires:	libao-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library is based on the TiMidity decoder from SDL_sound library.
Purpose to create this library is to avoid unnecessary dependences.
SDL_sound requires SDL and some other libraries, that not needed to
process MIDI files. In addition libtimidity provides more suitable
API to work with MIDI songs, it enables to specify full path to the
timidity configuration file, and have function to retrieve meta data
from MIDI song.

%description -l pl.UTF-8
Ta biblioteka jest oparta na kodzie dekodera TiMidity z biblioteki
SDL_sound. Celem jej powstania było uniknięcie niepotrzebnych
zależności. SDL_sound wymaga SDL-a i kilku innych bibliotek, które
nie są potrzebne do przetwarzania plików MIDI. Ponadto libtimidity
udostępnia bardziej odpowiednie API do pracy z utworami MIDI, pozwala
na podawanie pełnej ściezki do pliku konfiguracyjnego timidity i ma
funkcje do uzyskiwania metadanych z utworu MIDI.

%package devel
Summary:	Header files for libtimidity library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libtimidity
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libtimidity library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libtimidity.

%package static
Summary:	Static libtimidity library
Summary(pl.UTF-8):	Statyczna biblioteka libtimidity
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libtimidity library.

%description static -l pl.UTF-8
Statyczna biblioteka libtimidity.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libtimidity.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES COPYING README* TODO
%attr(755,root,root) %{_libdir}/libtimidity.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtimidity.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtimidity.so
%{_includedir}/timidity.h
%{_pkgconfigdir}/libtimidity.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libtimidity.a
%changelog
* Tue Apr 16 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libtimidity.git;a=log;h=master

* Tue Apr 16 2024 Jakub Bogusz <qboosh@pld-linux.org> 1fa168f
- updated to 0.2.7, drop .la file

* Sun Apr 21 2019 Jakub Bogusz <qboosh@pld-linux.org> be6bd08
- updated to 0.2.6

* Sun Dec 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 64a3a1f
- updated to 0.2.5 (note: new soname)

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> dd4ed4b
- x32 rebuild
- release 4 (by relup.sh)

* Fri Jan 03 2014 Elan Ruusamäe <glen@delfi.ee> fe7252c
- track soname

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0673793
- ghost symlink
- rel 3

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> f4de2d7
- BR: gcc-c++ because it is easier than fixing configure

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> 4586c2d
- rel 2

* Sun Jun 24 2007 Jakub Bogusz <qboosh@pld-linux.org> cb0face
- new

